> For the complete documentation index, see [llms.txt](https://developers.getgeoflow.com/geoflow-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.getgeoflow.com/geoflow-docs/advanced/methods/checkcondition.md).

# checkCondition

### Description

This method lets you manually check a condition by passing a property name and value.

The value you pass will be checked against that property name in the visitor data properties. Either true or false will be returned in the response.

### Parameters

```vbnet
propertyName (string), propertyValue (string)
```

### Using This Method

```javascript
geoflow.checkCondition('countryCode', 'US');
```

### Output

```javascript
true (boolean) or false (boolean)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/advanced/methods/checkcondition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
